petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscGaussLobattoLegendreElementGradientCreate

computes the gradient for a single 1d GLL element

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreElementGradientCreate(PetscInt n,PetscReal *nodes,PetscReal *weights,PetscReal ***AA,PetscReal ***AAT)

Not Collective

### Input Parameter

| n | - the number of GLL nodes
| nodes | - the GLL nodes
| weights | - the GLL weights

### Output Parameter

| AA | - the stiffness element
| AAT | - the transpose of AA (pass in NULL if you do not need this array)

### Notes

Destroy this with PetscGaussLobattoLegendreElementGradientDestroy()

You can access entries in these arrays with AA[i][j] but in memory it is stored in contiguous memory, row oriented

### See Also

PetscDTGaussLobattoLegendreQuadrature(), PetscGaussLobattoLegendreElementLaplacianDestroy()

### Level

beginner

### Location

src/dm/dt/interface/dt.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages